Well I run the configure script with '--with-readline-dir=/usr/local'
and I get:

configure: WARNING: unrecognized options: --with-readline-dir

--and I get this with whatever I specify as the directory (which I think 
is because there is no such option in the configure script).

I have tried with every 1.9.x distro.

Takao Kouji wrote:
> Hello,
> 
> On 2009/01/11, at 8:56, Mark Fraser wrote:
>> I am trying to build Ruby 1.9 on Mac OSX x86 Tiger.  This first requires
>> an update to readline.
> (snip)
>> The option --with-readline-dir=/usr/local sprinkled all over the web
>> does nothing as there is no such option in the configure script
>> (specifically it leads to an unrecognized option warning).  I have tried
>> 3 of the different 1.9.x releases all with the same result.
> 
> I am current readline mainteinar.
> I run the configure script with '--with-readline-dir=/sw'.
> '/sw' is the Fink's readline installed directory.
> 
> My readline.bundle is linked /sw/lib/libreadline.4.dylib.
> 
> ragdoll$ otool -L 
> ~/local/lib/ruby/1.9.0/i386-darwin9.5.0/readline.bundle
> /Users/kouji/local/lib/ruby/1.9.0/i386-darwin9.5.0/readline.bundle:
>         /sw/lib/libreadline.4.dylib (compatibility version 4.2.0, 
> current version 4.3.0)
>         /sw/lib/ncurses/libncurses.5.dylib (compatibility version 5.0.0, 
> current version 5.0.0)
>         /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current 
> version 111.1.1)
>         /usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current 
> version 227.0.0)
>         /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current 
> version 1.0.0)
> 
> Thanks.

-- 
Posted via http://www.ruby-forum.com/.